%define patch_name	kernel-fix-drivers-ide

Name: %patch_name
Version: 2004.06.22
Release: alt1

Summary: %patch_name kernel patch - ide fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

# kernel 2.4 patches

%source  1	2.4_01_linux-2.4.17-ac-pdcraid.patch			2.4
%source  2	2.4_02_linux-2.4.19-aw-pdcraid.patch			2.4
%source 11	2.4_11_ide-nodma-oops.patch				2.4
%source 12	2.4_12_hpa-check.patch					2.4
%source 13	2.4_13_no-iordy-fix.patch				2.4
%source 14	2.4_14_toshiba-piccolo.patch				2.4

%source 40	2.4_40_cenatek.patch					2.4
%source 41	2.4_41_ignore_pci_ide.patch				2.4

# kernel 2.6 patches

%source 91    2.6_91_ignore_pci_ide.patch                             	2.6

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
This patch provides fixes for IDE subsystem

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Wed Jun 23 2004 Anton Farygin <rider@altlinux.ru> 2004.06.22-alt1
- removed included to mainstream (2.6.7) patches

* Fri May 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.21-alt1
- Updated:
  + 2.6_50_wcache-fixes.patch, 2.6_51_system_state.patch: replaced with
    equivalent patches from linux.bkbits.net
  + 2.6_52_no-suspend-on-reboot.patch: replaced with better fix (flush drive
    cache on reboot)

* Sun May 16 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.16-alt1
- Renamed patches for 2.4 series kernels with 2.4_ prefixes.
- Added patches:
  + 2.4_41_ignore_pci_ide.patch, 2.6_91_ignore_pci_ide.patch: add
    "ignore_pci_ide=VENDOR1,DEVICE1,VENDOR2,DEVICE2,..." boot parameter to
    ignore the specified PCI IDs in the IDE driver (needed to use some other
    driver, e.g. sata_sil).
- Added patches for 2.6:
  + 2.6_50_wcache-fixes.patch: fix write cache handling problems:
    + fix drive->wcache setting
    + send CACHE FLUSH (EXT) only if the drive claims to support it
    + fix for Maxtor disks falsely claiming CACHE FLUSH EXT support
  + 2.6_51_system_state.patch: differentiate between halt/poweroff/reboot
  + 2.6_52_no-suspend-on-reboot.patch: avoid drive spindown on reboot

* Sat May 08 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.08-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 12_piix-new-ids.patch
  - 13_amd74xx-cleanup.patch
  - 14_amd74xx-update.patch
  - 16_ataraid-medley.patch
  - 17_hpt366-0.37.patch
  - 18_hpt366-0.37-fix.patch
  - 19_sandisk-flash.patch
- Added:
  + 12_hpa-check.patch: only use set_max when it is present
  + 13_no-iordy-fix.patch: fix support for PIO modes w/o IORDY flow control
  + 14_toshiba-piccolo.patch: add support for more Toshiba Piccolo chips
- Replaced 03_linux-2.4.22-cenatek.patch with 80_cenatek.patch (rediffed
  because of other changes in drivers/ide/pci/generic.[ch]).

* Sat Apr 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.03-alt1
- Added:
  + 19_sandisk-flash.patch: fix new SanDisk flash detection (former SunDisk
    renamed itself to SanDisk and now there are flash disks with both names)

* Sun Mar 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.21-alt1
- Added:
  + 12_piix-new-ids.patch: new PCI ids (Intel ESB, ICH6)
  + 13_amd74xx-cleanup.patch: small cleanup for AMD/nVidia IDE driver
  + 14_amd74xx-update.patch: IDE AMD/nForce driver update:
    * add nForce2s, nForce3, nForce3s support
    * change AMD8111 and nForce2 max speed to UDMA133
    * add workaround for Serenade mainboards which only handle UDMA100
    * fix printing of chipset name
  + 16_ataraid-medley.patch: new Medley software RAID driver (more reliable
    detection than in silraid, but currently supports only RAID0)
  + 17_hpt366-0.37.patch: HPT3xx driver update:
    * fixes fifo dma data corruption on RocketRaid404
    * fixes native HPT372 detection/setup for HPT372/HPT372A/HPT372N
  + 18_hpt366-0.37-fix.patch: fix possible oops in HPT372 revision detection

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.27-alt1
- Added:
  + 11_ide-nodma-oops.patch: fix oops on old SiS controllers.

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for 2.4.25.
- Removed obsolete patches (merged upstream):
  - 04_ide-cd-capacity.patch
  - 05_ide-tape-lockup.patch
  - 06_ide-scsi-lockup.patch
  - 07_serverworks-pio.patch
  - 08_lba48-check.patch
  - 09_lba48-pdc202xx_old.patch
  - 10_pdcraid-detect.patch

* Sun Jan 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.25-alt1
- Added:
  + 10_pdcraid-detect.patch: Fix pdcraid detection for new devices (which
    report geometry with 255 heads).

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt7
- Added:
  + 04_ide-cd-capacity.patch
  + 05_ide-tape-lockup.patch
  + 06_ide-scsi-lockup.patch
  + 07_serverworks-pio.patch
  + 08_lba48-check.patch
  + 09_lba48-pdc202xx_old.patch

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.04.29-alt7
- cenatek.patch updated for 2.4.22

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.04.29-alt6
- ide modules patch taken from debian

* Fri Aug  8 2003 Zhenja Kaluta <trinfo@mail.ru> 2003.04.29-alt5
- Added ide module patch

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.29-alt4
- spec typos fixed

* Sat Jun 28 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.29-alt3
- spec improvements: using %%source and %%install_patches macroses
- HPT372 patch removed (deprecated)
- pdcraid and cenatec patches added

* Tue Apr 29 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.29-alt2
- don't apply 01_pci_ids_h_HPT372N-2.4.21pre7.patch to rc1

* Tue Apr 29 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.29-alt1
- Initial release

